weblogic-ejb-jar.weblogic-enterprise-bean.ejb-name.readOnly = true
weblogic-ejb-jar.weblogic-enterprise-bean.jndi-name.readOnly = true

db-is-shared.valueType = BooleanField
delay-updates-until-end-of-tx.valueType = BooleanField
description.valueType = ExtendedStringField
enable-call-by-reference.valueType = BooleanField
finders-call-ejbload.valueType = BooleanField
home-is-clusterable.valueType = BooleanField

home-load-algorithm.values = "RoundRobin", "Random", "WeightBased"

idle-timeout-seconds.valueType = IntField

passivation-strategy.values = "default", "transaction"
cache-strategy.values = "Read-Only", "Read-Write"

read-timeout-seconds.valueType = IntField
max-beans-in-cache.valueType = IntField
max-beans-in-free-pool.valueType = IntField
initial-beans-in-free-pool.valueType = IntField
stateless-bean-is-clusterable.valueType = BooleanField

stateless-bean-load-algorithm.values = "RoundRobin", "Random", "WeightBased"

stateless-bean-methods-are-idempotent.valueType = BooleanField
trans-timeout-seconds.valueType = IntField
type-storage.valueType = FileField


caching-descriptor.attr.id.hidden = true
clustering-descriptor.attr.id.hidden = true
db-is-shared.attr.id.hidden = true
delay-updates-until-end-of-tx.attr.id.hidden = true
description.attr.id.hidden = true
ejb-name.attr.id.hidden = true
ejb-ref-name.attr.id.hidden = true
ejb-reference-description.attr.id.hidden = true
enable-call-by-reference.attr.id.hidden = true
finders-call-ejbload.attr.id.hidden = true
home-is-clusterable.attr.id.hidden = true
home-load-algorithm.attr.id.hidden = true
home-call-router-class-name.attr.id.hidden = true
idle-timeout-seconds.attr.id.hidden = true
passivation-strategy.attr.id.hidden = true
cache-strategy.attr.id.hidden = true
read-timeout-seconds.attr.id.hidden = true
is-modified-method-name.attr.id.hidden = true
jndi-name.attr.id.hidden = true
max-beans-in-cache.attr.id.hidden = true
max-beans-in-free-pool.attr.id.hidden = true
initial-beans-in-free-pool.attr.id.hidden = true
persistence-descriptor.attr.id.hidden = true
persistence-type.attr.id.hidden = true
persistence-use.attr.id.hidden = true
principal-name.attr.id.hidden = true
res-ref-name.attr.id.hidden = true
resource-description.attr.id.hidden = true
reference-descriptor.attr.id.hidden = true
role-name.attr.id.hidden = true
security-role-assignment.attr.id.hidden = true
stateful-session-persistent-store-dir.attr.id.hidden = true
stateless-bean-call-router-class-name.attr.id.hidden = true
stateless-bean-is-clusterable.attr.id.hidden = true
stateless-bean-load-algorithm.attr.id.hidden = true
stateless-bean-methods-are-idempotent.attr.id.hidden = true
trans-timeout-seconds.attr.id.hidden = true
transaction-descriptor.attr.id.hidden = true
type-identifier.attr.id.hidden = true
type-storage.attr.id.hidden = true
type-version.attr.id.hidden = true
weblogic-ejb-jar.attr.id.hidden = true
weblogic-enterprise-beanweblogic-version.attr.id.hidden = true
